package cn.sliyun.api.app;


import cn.sliyun.api.app.service.service.impl.AppServiceImpl;
import cn.sliyun.common.core.Result;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;


@RestController
@RequestMapping("/app")
public class AppController {

    @Resource
    public AppServiceImpl appService;


    @PostMapping("/uploadImg")
    public Result uploadImg(MultipartFile file) {
        return appService.upload(file);
    }



}
