package cn.sliyun.api.app.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * img 表格
 * </p>
 *
 * @author Enoch
 * @since 2021-02-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BeamImg implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     *  OSS fileName

     */
    private String ossFileName;

    /**
     * file_md5
     */
    private String ossFileMd5;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间	
     */
    private LocalDateTime updateTime;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getOssFileName() {
        return ossFileName;
    }

    public void setOssFileName(String ossFileName) {
        this.ossFileName = ossFileName;
    }

    public String getOssFileMd5() {
        return ossFileMd5;
    }

    public void setOssFileMd5(String ossFileMd5) {
        this.ossFileMd5 = ossFileMd5;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }
}
