package cn.sliyun.api.coin.controller;


import cn.sliyun.api.coin.entity.CoinAction;
import cn.sliyun.api.coin.service.impl.CoinServiceImpl;
import cn.sliyun.common.core.Result;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.validation.Valid;


/**
 * <p>
 * 货币类型表 前端控制器
 * </p>
 *
 * @author Enoch
 * @since 2021-02-24
 */
@RestController
@RequestMapping("/coin")
public class CoinController {
    @Resource
    private CoinServiceImpl mCoinServiceImpl;

    @PostMapping("/create")
    public Result create(@RequestBody @Valid CoinAction action) {
//        if (icon != null) {
//            try {
//                //当前项目下路径
//                String realPath = System.getProperty("user.dir") + new String("/beam-system/src/main/resources/" + UPLOAD_PATH_PREFIX);
//                System.out.println("-----------上传文件保存的路径【" + realPath + "】-----------");
//                //存放上传文件的文件夹
//                File folder = new File(realPath);
//                System.out.println("-----------存放上传文件的文件夹【" + folder.getAbsolutePath() + "】-----------");
//                System.out.println("-----------输出文件夹绝对路径 -- 这里的绝对路径是相当于当前项目的路径而不是“容器”路径【" + folder.getAbsolutePath() + "】-----------");
//                if (!folder.isDirectory()) {
//                    //递归生成文件夹
//                    folder.mkdirs();
//                }
//                //获取原始的名字 方法是得到原来的文件名在客户机的文件系统名称
//                String oldName = icon.getOriginalFilename();
//                System.out.println("-----------文件原始的名字【" + oldName + "】-----------");
//                //新命名=随机UUID+原始文件的后缀名
//                String newName = "img_coin_" + System.currentTimeMillis() + oldName.substring(oldName.lastIndexOf("."));
//                System.out.println("-----------文件要保存后的新名字【" + newName + "】-----------");
//                File newFile = new File(folder.getAbsolutePath().replace("\\", "/") + File.separator + newName);
//                System.out.println("-----------getAbsolutePath【" + newFile.getAbsolutePath() + "】-----------");
//                //将图片保存到static文件夹里
//                icon.transferTo(newFile);
//                System.out.println("-----------getAbsolutePath【" + newFile.exists() + "/" + newFile.isFile() + "】-----------");
//                String filePath = "/images/" + newName;
//                System.out.println("icon:" + filePath);
//                BeamImg img = new BeamImg();
////                img.setUrl(filePath);
////                img.setDescription("coin create icon");
////                img.setImgMd5("");
////                img.setCreateBy("coin create icon");
////                img.setCreateTime(LocalDateTime.now());
////                img.setUpdateTime(LocalDateTime.now());
//                mImgService.save(img);
//                return mCoinServiceImpl.create(img.getId(), name, description);
//            } catch (Exception e) {
//                e.printStackTrace();
//            }
//        }
        return mCoinServiceImpl.create(action);
    }

    @PostMapping("/edit")
    public Result editCoin(@RequestBody CoinAction action) {
        return mCoinServiceImpl.edit(action);
    }

    @PostMapping("/delete")
    public Result deleteCoin(@RequestBody CoinAction action) {
        return mCoinServiceImpl.delete(action.getId());
    }

    @GetMapping("/list")
    public Result list(@RequestParam(defaultValue = "1") int pageNo,
                       @RequestParam(defaultValue = "20") int pageSize) {
        return mCoinServiceImpl.getList(pageNo, pageSize);
    }
}
