package cn.sliyun.api.coin.controller;


import cn.sliyun.api.coin.service.impl.CoinPackageServiceImpl;
import cn.sliyun.api.coin.service.impl.CoinPackageUnitServiceImpl;
import cn.sliyun.api.coin.service.impl.CoinServiceImpl;
import cn.sliyun.common.core.Result;
import cn.sliyun.common.core.ResultGenerator;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * <p>
 * 算力包单位 前端控制器
 * </p>
 *
 * @author Enoch
 * @since 2021-03-01
 */
@RestController
@RequestMapping("/coin/package/unit")
public class CoinPackageUnitController {

    @Resource
    private CoinPackageUnitServiceImpl coinPackageService;
    @GetMapping("/list")
    public Result list() {
        return ResultGenerator.genSuccessResult(coinPackageService.list());
    }
}
