package cn.sliyun.api.member.controller;


import cn.sliyun.api.member.service.impl.MemberCoinAddressServiceImpl;
import cn.sliyun.api.wallet.service.impl.AddressServiceImpl;
import cn.sliyun.common.core.Result;
import org.springframework.web.bind.annotation.*;

import org.springframework.stereotype.Controller;

import javax.annotation.Resource;
import java.util.HashMap;

/**
 * <p>
 * 会员货币地址表 前端控制器
 * </p>
 *
 * @author Enoch
 * @since 2021-02-24
 */
@RestController
@RequestMapping("/address")
public class MemberCoinAddressController {



    @Resource
    private MemberCoinAddressServiceImpl service;


    @GetMapping("/list")
    public Result getList() {
        return service.getList();
    }


    @PostMapping("/delete")
    public Result create(@RequestBody HashMap<String, Object> map) {
        return service.delete((Integer) map.get("id"));
    }




}
