package cn.sliyun.api.user.entity;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

@JsonIgnoreProperties(ignoreUnknown = true)
@Valid
public class UserActionBean {


    @NotBlank(message = "手机号不能为空")
    private String phone;
    @Size(max = 20, min = 6 ,message = "密码长度最低为6位")
    private String password;
    private String code="";
    private String name;
    private String ossFile;

    public String getOssFile() {
        return ossFile;
    }

    public void setOssFile(String ossFile) {
        this.ossFile = ossFile;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
