package cn.sliyun.api.wallet.controller;


import cn.sliyun.api.wallet.service.impl.AddressServiceImpl;
import cn.sliyun.common.core.Result;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.HashMap;

/**
 * <p>
 * 钱包地址表 前端控制器
 * </p>
 *
 * @author Enoch
 * @since 2021-01-29
 */
@RestController
@RequestMapping("/sys/wallet/address")
public class AddressController {


    @Resource
    private AddressServiceImpl service;


    @GetMapping("/list")
    public Result getList() {
        return service.getList();
    }


    @PostMapping("/delete")
    public Result create(@RequestBody HashMap<String, Object> map) {
        return service.delete((Integer) map.get("id"));
    }


}
