package cn.sliyun.api.wallet.mapper;

import cn.sliyun.api.wallet.entity.Address;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 * 钱包地址表 Mapper 接口
 * </p>
 *
 * @author Enoch
 * @since 2021-01-29
 */
public interface AddressMapper extends BaseMapper<Address> {
    /**
     * @return
     */
    @Select("SELECT wallet_address.*,wallet_coin.`name` AS coinCnName ,wallet_coin.`description` AS coinEnName ,wallet_coin.`img_id`,beam_img.`oss_file_name` AS ossFileName FROM wallet_address, wallet_coin,beam_img WHERE wallet_address.coin_id=wallet_coin.id   AND wallet_coin.img_id=beam_img.id")
    List<Address> getAddressList();


}
