package cn.sliyun.api.member.mapper;

import cn.sliyun.api.member.entity.MemberCoinAddress;
import cn.sliyun.api.wallet.entity.Address;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 * 会员货币地址表 Mapper 接口
 * </p>
 *
 * @author Enoch
 * @since 2021-02-24
 */
public interface MemberCoinAddressMapper extends BaseMapper<MemberCoinAddress> {


    /**
     * @return
     */
    @Select("SELECT sly_member_coin_address.*,sly_coin.`cn_name` AS cnName ,sly_coin.`en_name` AS enName ,sly_coin.`img_oss_file` AS imgOssFile FROM sly_member_coin_address, sly_coin WHERE sly_member_coin_address.coin_id=sly_coin.id   ")
    List<MemberCoinAddress> getAddressList();
}
