package cn.sliyun.api.member.mapper;

import cn.sliyun.api.member.entity.Member;
import cn.sliyun.api.wallet.entity.Address;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 * 会员表 Mapper 接口
 * </p>
 *
 * @author Enoch
 * @since 2021-02-24
 */
public interface MemberMapper extends BaseMapper<Member> {

    /**
     * @return
     */
    @Select(" SELECT * FROM sly_member WHERE YEARWEEK(DATE_FORMAT(create_time,'%Y-%m-%d')) = YEARWEEK(NOW());")
    List<Address> getWeekList();

}
