package cn.sliyun.api.member.service.impl;

import cn.sliyun.api.member.entity.MemberCoinAddress;
import cn.sliyun.api.member.mapper.MemberCoinAddressMapper;
import cn.sliyun.api.member.service.IMemberCoinAddressService;
import cn.sliyun.common.core.Result;
import cn.sliyun.common.core.ResultGenerator;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 会员货币地址表 服务实现类
 * </p>
 *
 * @author Enoch
 * @since 2021-02-24
 */
@Service
public class MemberCoinAddressServiceImpl extends ServiceImpl<MemberCoinAddressMapper, MemberCoinAddress> implements IMemberCoinAddressService {
    public Result getList() {
        return ResultGenerator.genSuccessResult(baseMapper.getAddressList());
    }


    public Result delete(Integer id) {
        removeById(id);
        return ResultGenerator.genSuccessResult();

    }
}
