package cn.sliyun.api.wallet.service.impl;

import cn.sliyun.api.wallet.entity.Address;
import cn.sliyun.api.wallet.mapper.AddressMapper;
import cn.sliyun.api.wallet.service.IAddressService;
import cn.sliyun.common.core.Result;
import cn.sliyun.common.core.ResultGenerator;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 钱包地址表 服务实现类
 * </p>
 *
 * @author Enoch
 * @since 2021-01-29
 */
@Service
public class AddressServiceImpl extends ServiceImpl<AddressMapper, Address> implements IAddressService {

    public Result getList() {
        return ResultGenerator.genSuccessResult(baseMapper.getAddressList());
    }


    public Result delete(Integer id) {
        removeById(id);
        return ResultGenerator.genSuccessResult();

    }
}
