package cn.sliyun.dotwallet;

import cn.sliyun.dotwallet.entity.DotBaseResponse;
import com.alibaba.fastjson.JSON;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

public class DotWalletManager {


    public static void main(String[] args) {
        long s = System.currentTimeMillis()/1000-86400 ;
        long e= System.currentTimeMillis()/1000;
        getInstance().getBlockList(s,e);
    }

    private DotWalletClient client;
    public static DotWalletManager dotWalletManager;
    public String[] mnemonicWordArray = new String[]{"world", "ramp", "coil", "awesome", "loud", "warrior", "equip", "panic", "shield", "away", "desert", "find"};

    public static DotWalletManager getInstance() {
        if (dotWalletManager == null) {
            dotWalletManager = new DotWalletManager();
        }
        return dotWalletManager;
    }


    public DotWalletManager() {
        //获取PKI接口能力
        //从打点钱包web版(www.ddpurse.com)导出BSV助记词
        List<String> mnemonicWords = Arrays.asList(mnemonicWordArray);
        System.out.println("BSV助记词:" + JSON.toJSONString(mnemonicWords));
        //初始化DotWalletClient
        try {
            //使用该助记词生成的私钥进行接口调用签名
            client = DotWalletClient.newInstance(mnemonicWords);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }


    public void getSubUserList() {
        try {
//            GetMerkleProofResponse response=  client.getSubUser();
//            System.out.println("response:"+response.toString());
//            DotBaseResponse broadcastTransactionResponse=  client.getSubUserList();
//            System.out.println("getSubUserList:"+ JSON.toJSONString(broadcastTransactionResponse));
            Object startSolo = client.startSolo(7990, "123");
            System.out.println("startSolo:" + JSON.toJSONString(startSolo));

//            DotBaseResponse startSolo=  client.startSolo("1","add");
//            System.out.println("startSolo:"+startSolo.toString());
//            DotBaseResponse stopSolo=  client.stopSolo("1","asd");
//            System.out.println("stopSolo:"+stopSolo.toString());
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public boolean startSolo(String address) {
        DotBaseResponse startSolo = client.startSolo(7990, address);
        if (startSolo.getCode() == 0) {
            return true;
        }
        return false;
    }

    public boolean stopSolo(String address) {
        DotBaseResponse startSolo = client.startSolo(7990, address);
        if (startSolo.getCode() == 0) {
            return true;
        }
        return false;
    }


    public List getBlockList(long startTime, long endTime) {
        DotBaseResponse<List> startSolo = client.getBlockList(startTime, endTime);
        if (startSolo.getCode() == 0) {
            return  startSolo.getData();
        }
        return new ArrayList();
    }

}
