package cn.sliyun.dotwallet.entity.response.data;

import com.alibaba.fastjson.annotation.JSONField;

//	Hash                  string      `json:"hash"`
//	Confirmations         int64       `json:"confirmations"`
//	Height                int64       `json:"height"`
//	Version               int64       `json:"version"`
//	VersionHex            string      `json:"versionHex"`
//	Merkleroot            string      `json:"merkleroot"`
//	NumTx                 int64       `json:"num_tx"`
//	Time                  int64       `json:"time"`
//	Mediantime            int64       `json:"mediantime"`
//	Nonce                 int64       `json:"nonce"`
//	Bits                  string      `json:"bits"`
//	Difficulty            float64     `json:"difficulty"`
//	Chainwork             string      `json:"chainwork"`
//	Previousblockhash     string      `json:"previousblockhash"`
//	Nextblockhash         string      `json:"nextblockhash"`
public class MerkleProofTarget {
    @JSONField(name = "hash")
    private String hash;
    @JSONField(name = "confirmations")
    private Integer confirmations;
    @JSONField(name = "height")
    private Integer height;
    @JSONField(name = "version")
    private Integer version;
    @JSONField(name = "versionHex")
    private String versionHex;
    @JSONField(name = "merkleroot")
    private String merkleRoot;
    @JSONField(name = "num_tx")
    private Integer numTx;
    @JSONField(name = "time")
    private Integer time;
    @JSONField(name = "mediantime")
    private Integer mediantime;
    @JSONField(name = "nonce")
    private Integer nonce;
    @JSONField(name = "bits")
    private String bits;
    @JSONField(name = "difficulty")
    private Float difficulty;
    @JSONField(name = "chainwork")
    private String chainWork;
    @JSONField(name = "previousblockhash")
    private String PreviousBlockHash;
    @JSONField(name = "nextblockhash")
    private String nextBlockHash;

    public String getHash() {
        return hash;
    }

    public void setHash(String hash) {
        this.hash = hash;
    }

    public Integer getConfirmations() {
        return confirmations;
    }

    public void setConfirmations(Integer confirmations) {
        this.confirmations = confirmations;
    }

    public Integer getHeight() {
        return height;
    }

    public void setHeight(Integer height) {
        this.height = height;
    }

    public Integer getVersion() {
        return version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }

    public String getVersionHex() {
        return versionHex;
    }

    public void setVersionHex(String versionHex) {
        this.versionHex = versionHex;
    }

    public String getMerkleRoot() {
        return merkleRoot;
    }

    public void setMerkleRoot(String merkleRoot) {
        this.merkleRoot = merkleRoot;
    }

    public Integer getNumTx() {
        return numTx;
    }

    public void setNumTx(Integer numTx) {
        this.numTx = numTx;
    }

    public Integer getTime() {
        return time;
    }

    public void setTime(Integer time) {
        this.time = time;
    }

    public Integer getMediantime() {
        return mediantime;
    }

    public void setMediantime(Integer mediantime) {
        this.mediantime = mediantime;
    }

    public Integer getNonce() {
        return nonce;
    }

    public void setNonce(Integer nonce) {
        this.nonce = nonce;
    }

    public String getBits() {
        return bits;
    }

    public void setBits(String bits) {
        this.bits = bits;
    }

    public Float getDifficulty() {
        return difficulty;
    }

    public void setDifficulty(Float difficulty) {
        this.difficulty = difficulty;
    }

    public String getChainWork() {
        return chainWork;
    }

    public void setChainWork(String chainWork) {
        this.chainWork = chainWork;
    }

    public String getPreviousBlockHash() {
        return PreviousBlockHash;
    }

    public void setPreviousBlockHash(String previousBlockHash) {
        PreviousBlockHash = previousBlockHash;
    }

    public String getNextBlockHash() {
        return nextBlockHash;
    }

    public void setNextBlockHash(String nextBlockHash) {
        this.nextBlockHash = nextBlockHash;
    }
}